Skip to content

Get a service provider

GET
/api/app/directory/service-providers/{providerRef}
curl --request GET \
--url https://test.unipay.co.zw/api/app/directory/service-providers/example \
--header 'Authorization: Bearer <token>'
providerRef
required
string

OK

Media typeapplication/json
object
id
string format: uuid
name
string
nullable
number
string
nullable
shortCode
string
nullable
address1
string
nullable
address2
string
nullable
country
string
nullable
town
string
nullable
phoneNumber
string
nullable
email
string
nullable
tin
string
nullable
companyNumber
string
nullable
capabilities
Array<object>
nullable
object
paymentType
integer format: int32
Allowed values: 1 2 3 4
currency
string
nullable
defaultCurrency
string
nullable
presentationCurrencies
Array<string>
nullable
acceptedCurrencies
Array<string>
nullable
acceptedCurrenciesDeclared
boolean
currencyPolicy
integer format: int32
Allowed values: 1 2
allocationRateToleranceDays
integer format: int32
nullable
settlementAccounts
Array<object>
nullable
object
accountId
string format: uuid
currency
required
string
nullable
status
integer format: int32
Allowed values: 1 2 3 4 5
bankName
required
string
nullable
branchName
string
nullable
branchCode
string
nullable
swiftBic
string
nullable
accountName
required
string
nullable
accountNumberMasked
required
string
nullable
accountType
integer format: int32
Allowed values: 1 2 3 4
effectiveFrom
string format: date-time
effectiveTo
string format: date-time
nullable
sunsetUntil
string format: date-time
nullable
supersedesAccountId
string format: uuid
nullable
supersededByAccountId
string format: uuid
nullable
Example
{
"capabilities": [
{
"paymentType": 1
}
],
"currencyPolicy": 1,
"settlementAccounts": [
{
"status": 1,
"accountType": 1
}
]
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions